'Newland.CityTheme:HeroSlide':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.CityTheme:SpacingMixin': false

  ui:
    label: Hero
    icon: image
    inspector:
      groups:
        content:
          label: Inhalt
          icon: brush
    position: 7
          
  label: ${q(node).property('title') || 'HeroSlide'}

  properties:
    title:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Titel

    subtitle:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Untertitel

    image:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Bild
        reloadIfChanged: true
        inspector:
          group: content
    focusPoint:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: content
        help:
          message: i18n

    buttonLink:
      type: string
      ui:
        label: Button-Link
        reloadIfChanged: true
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'
          group: content

    buttonText:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Button

    linkTitle:
      ui: ~
